org.red5.server.api.event

## Interface IEventDispatcher

All Known Subinterfaces:
  IBasicScope, IBroadcastScope, IConnection, ICoreObject, IGlobalScope, IRemotingConnection, IScope, IServiceCapableConnection, ISharedObject, IStreamCapableConnection

All Known Implementing Classes:
  BaseConnection, BaseRTMPTConnection, BasicScope, BroadcastScope, ClientBroadcastStream, ClientSharedObject, GlobalScope, RemotingConnection, RoomScope, RTMPConnection, RTMPMinaConnection, RTMPTConnection, Scope, SharedObjectScope, WebScope

    public interface IEventDispatcher

IEventDispatcher interface implementations dispatch events

### Method Summary

Methods
`void` `dispatchEvent(IEvent event)` Dispatches event

### Method Detail

#### dispatchEvent

    void dispatchEvent(IEvent event)

Dispatches event

Parameters:
  `event` - Event object